> ## Documentation Index
> Fetch the complete documentation index at: https://humanity-eaeda8f6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get userinfo



## OpenAPI

````yaml api-reference/openapi.json get /userinfo
openapi: 3.1.0
info:
  version: 0.1.0
  title: hp-public-dev-api-server
  description: NestJS CQRS + TDD base for Humanity Public Dev API
servers:
  - url: https://api.sandbox.humanity.org/v2
    description: Sandbox environment for development and testing
  - url: https://api.humanity.org/v2
    description: Production environment
security: []
tags: []
paths:
  /userinfo:
    get:
      tags: []
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfoResponse'
components:
  schemas:
    UserInfoResponse:
      type: object
      properties:
        sub:
          type: string
        iss:
          type: string
        aud:
          type: string
        authorization_id:
          type: string
        scopes:
          type: array
          items:
            type: string
        updated_at:
          type: string
        humanity_id:
          oneOf:
            - type: 'null'
            - type: string
        wallet_address:
          oneOf:
            - type: 'null'
            - type: string
        email:
          oneOf:
            - type: 'null'
            - type: string
        email_verified:
          type: boolean
      required:
        - sub
        - iss
        - aud
        - authorization_id
        - scopes

````